org.apache.lucene.search

## Class DocValuesStats.SortedLongDocValuesStats

- java.lang.Object
- - org.apache.lucene.search.DocValuesStats<T>
  - - org.apache.lucene.search.DocValuesStats.SortedNumericDocValuesStats<Long>
    - - org.apache.lucene.search.DocValuesStats.SortedLongDocValuesStats

- Enclosing class:
    DocValuesStats<T>

      public static final class DocValuesStats.SortedLongDocValuesStats
      extends DocValuesStats.SortedNumericDocValuesStats<Long>

  Holds DocValues statistics for a sorted-numeric field storing `long` values.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.DocValuesStats

      `DocValuesStats.DoubleDocValuesStats, DocValuesStats.LongDocValuesStats, DocValuesStats.NumericDocValuesStats<T extends Number>, DocValuesStats.SortedDocValuesStats, DocValuesStats.SortedDoubleDocValuesStats, DocValuesStats.SortedLongDocValuesStats, DocValuesStats.SortedNumericDocValuesStats<T extends Number>, DocValuesStats.SortedSetDocValuesStats`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.DocValuesStats.SortedNumericDocValuesStats

      `mean, sndv, valuesCount, variance`

    - ### Fields inherited from class org.apache.lucene.search.DocValuesStats

      `field, max, min`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortedLongDocValuesStats(String field)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doAccumulate(int doc, int count)` Called after `DocValuesStats.accumulate(int)` was processed and verified that the document has a value for the field.
    `Long` | `sum()` Returns the sum of values of the field.

    - ### Methods inherited from class org.apache.lucene.search.DocValuesStats.SortedNumericDocValuesStats

      `init, mean, stdev, valuesCount, variance`

    - ### Methods inherited from class org.apache.lucene.search.DocValuesStats

      `count, field, max, min, missing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortedLongDocValuesStats

          public SortedLongDocValuesStats(String field)

  - ### Method Detail

    - #### doAccumulate

          protected void doAccumulate(int doc,
                                      int count)
                               throws IOException

      Description copied from class: `DocValuesStats`
      Called after `DocValuesStats.accumulate(int)` was processed and verified that the document has a value for the field. Implementations should update the statistics based on the value of the current document.
      Specified by:
        `doAccumulate` in class `DocValuesStats<Long>`
      Parameters:
        `doc` - the document to read the value of for updating statistics.
        `count` - the updated number of documents with value for this field.
      Throws:
        `IOException`

    - #### sum

          public Long sum()

      Description copied from class: `DocValuesStats.SortedNumericDocValuesStats`
      Returns the sum of values of the field. Note that if the values are large, the `sum` might overflow.
      Specified by:
        `sum` in class `DocValuesStats.SortedNumericDocValuesStats<Long>`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.